ServerName localhost

ServerAdmin mykyta.nehrych@sebn.com

ErrorLog /dev/stdout 
CustomLog /dev/stdout combined

LogLevel info


Define SERVICE sebn-taskbar-manager
Define PROJECT config

WSGIApplicationGroup %{GLOBAL}
WSGIDaemonProcess ${SERVICE} home=/${SERVICE}/backend python-home=/${SERVICE}/python
WSGIPassAuthorization On
WSGIProcessGroup ${SERVICE}
WSGIScriptAliasMatch ^/${SERVICE}/($|((admin|api|grappelli|ckeditor)/.*$)) /${SERVICE}/backend/${PROJECT}/wsgi.py/$1

<Directory /${SERVICE}/backend/${PROJECT}>
  <Files wsgi.py>
    Require all granted
  </Files>
</Directory>

Alias /${SERVICE}/backend/attachments /${SERVICE}/backend/attachments/
<Directory /${SERVICE}/backend/attachments/>
  Require all granted
</Directory>

Alias /${SERVICE}/backend/static /${SERVICE}/backend/static
<Directory /${SERVICE}/backend/static>
  Require all granted
</Directory>